# Class CIM_DiagnosticTestInPackage
extends CIM_Component

This class is being deprecated. Tests should be grouped at the test level, not in the model. Therefore, the association is not appropriate. /n This is an association class that identifies a Diagnostic Test as made up of lower level Tests. In this case, the test identified as the GroupComponent reference (i.e, the higher level test) would have the "Is Package" enumerated value specified in DiagnosticTest. Characteristics.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_DiagnosticTestInPackage

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Deprecated | string | No value

Description

string

This class is being deprecated. Tests should be grouped at the test level, not in the model. Therefore, the association is not appropriate. /n This is an association class that identifies a Diagnostic Test as made up of lower level Tests. In this case, the test identified as the GroupComponent reference (i.e, the higher level test) would have the "Is Package" enumerated value specified in DiagnosticTest. Characteristics.

UMLPackagePath | string | CIM::System::Diagnostics
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_DiagnosticTestInPackage | CIM_DiagnosticTest
PartComponent | CIM_DiagnosticTestInPackage | CIM_DiagnosticTest

## Class Methods